summaryrefslogtreecommitdiff
path: root/repo/bash/bash.xibuild
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-05-31 11:05:19 +0100
committerdavidovski <david@davidovski.xyz>2022-05-31 11:05:19 +0100
commit48ca75555522716f0f686dcae3dd6cf3d8ad714d (patch)
tree00c0f58550ba4661e87376f2f02c8001c69bae44 /repo/bash/bash.xibuild
parent871b2b573f01c1b3176a0f65458b3d281b41c437 (diff)
removed idea of repos
Diffstat (limited to 'repo/bash/bash.xibuild')
-rw-r--r--repo/bash/bash.xibuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/repo/bash/bash.xibuild b/repo/bash/bash.xibuild
new file mode 100644
index 0000000..63626b5
--- /dev/null
+++ b/repo/bash/bash.xibuild
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+MAKEDEPS="make "
+DEPS="readline musl ncurses"
+
+PKG_VER=5.1.16
+SOURCE=https://ftp.gnu.org/gnu/bash/bash-$PKG_VER.tar.gz
+DESC="The free Bourne Again Shell"
+
+build () {
+ ./configure --without-bash-malloc --prefix=/usr
+ make
+}
+
+package () {
+ make DESTDIR=$PKG_DEST install
+}
+
+postinstall () {
+ command -v bash || exit 1
+ command -v grep || exit 1
+
+ if [ -f /etc/shells ] || grep -vq "bash" /etc/shells; then
+ echo "/bin/bash" >> /etc/shells
+ fi
+}